Subject: SC 22 N 3314 - National Activity Report of Norway for 2000-2001

From: Matthew Deane <[email-masked]>
Date: Tue, 18 Sep 2001 14:50:21 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)
 
ISO/IEC JTC 1/SC22 N3314
 
TITLE:
National Activity Report of Norway for 2000-2001

DATE ASSIGNED:
2001-09-18
 
SOURCE:
Norwegian National Body

BACKWARD POINTER:
N/A
 
DOCUMENT TYPE:
National Body Contribution

PROJECT NUMBER:
N/A
 
STATUS:
This document will be reviewed at the upcoming SC 22 Plenary under Agenda
Item 7.2 pending the approval of its addition to the agenda.  

ACTION IDENTIFIER:
FYI
 
DUE DATE:
  
DISTRIBUTION:
Text

CROSS REFERENCE:
 
DISTRIBUTION FORM:
Def
 
Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
Matt Deane
ANSI
25 West 43rd Street
New York, NY  10036
Telephone:  (212) 642-4992
Fax:             (212) 840-2298
Email:  [email-masked]

_______end of cover page, beginning of report____________

National Activity Report from the Norway to the 2001 SC22 Plenary

Source: NTS

Date: 2001-09-16

Unfortunately there will not be a Norwegian delegation at the SC22 plenary.
The Norwegian member body has given a proxy to the Canadian delegation.

The Norwegian SC22 panel has 7 members. It does most of its work via email.

Norway has active participants in the SC22 WGs WG11 - bindings,
WG14 - C, WG15 - POSIX, WG20 - Internationalization, WG21 - C++;
and some interest in WG4 - COBOL, and WG19 on BNF.

Some Norwegian positions towards items on the plenary agenda:

Item 7.4.2: Norway is pleased to offer Keld Simonsen as a liaison to SC2.

Item 8.13.1: Norway supports the C++ NWI, with active participation.

Item 11.2: Norway supports the documents there.

Item 12.1: Norway confirms its offer to host the 2003 plenary.

Item 12.5: N3273: We feel that the current state of the WD 15435 - i18n API,
is that it is complete wrt functionality. As such it fullfills
the requirements for entering the CD registation ballot, viz.
the JTC 1 directives. Therefore the Norwegian member body requests
that project JTC1.22.15435 - I18n API be extended by one year.

Item 12.6: DTR 14652 has reached FDIS stage, as it has been sent
out for DTR ballot. Norway recommends that DTR be sent to WG20 for
preparing a TR, as it passed the criteria for approving DTRs, and
the comments are not expected to be solved anyway. It is a TR
type 1, a standard that could not be approved, and thus should be
published as a TR. It is perfectly understood that TR type 1
could include errors, and have serious problems; if not, they would
have passed as an International Standard.

Item 12.7: Norway supports the WG9 request to make TR 15942
freely available on the web.

Item 12.8: Norway supports the appointment of Mr J. Oblinger.

End of document